from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class TableSortFieldType(IntEnum):
    AUTOMATIC = auto()
    NUMERIC = auto()
    ALPHANUMERIC = auto()
